/**
 * Prompts user for projectName if not defined, returns the information required related to project
 */
export declare const getProjectInfo: (projectNameArg: string | undefined) => Promise<{
    projectDisplayName: string;
    projectPath: string;
}>;
type InstallerTypes = 'npm' | 'yarn' | 'pnpm' | 'bun';
/**
 * Prompts user to choose package installer if not defined
 */
export declare const getInstallCommand: (installerVal: InstallerTypes | 'skip' | undefined) => Promise<`${InstallerTypes} install` | undefined>;
/**
 * Some validations on top of template names
 */
export declare const getTemplate: (templateVal: string | undefined) => string;
export declare const scaffoldTemplate: ({ projectPath, template }: {
    projectPath: string;
    template: string;
}) => Promise<void>;
export declare const setPackageJSONValues: (packagePath: string, { name, scripts }: {
    name: string;
    scripts?: {
        dev?: string | undefined;
        generate?: string | undefined;
    } | undefined;
}) => void;
export {};
